Job

## Class Job

- java.lang.Object
- - Job

-     public class Job
      extends java.lang.Object

  a Job contains all the information to perform a file Stamping
  Author:
    413

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static int` | `cpt`
    `private java.io.File` | `jobFile`
    `private java.lang.Integer` | `LastPage`
    `private java.lang.String` | `Parameter1`
    `private java.lang.String` | `Parameter2`
    `private java.lang.String` | `Parameter3`
    `private java.lang.String` | `Parameter4`
    `private java.lang.String` | `Parameter5`
    `private java.io.File` | `PDFSource`
    `private java.io.File` | `PDFStamp`
    `private java.io.File` | `PDFStampType`
    `private Result` | `result`
    `(package private) static ServiceJob` | `service`
    `private java.lang.Integer` | `StartPage`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Job()` Constructor

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copy()` create a copy of pdf file into backup folder
    `java.io.File` | `getjobFile()` return the job.xml file
    `java.lang.Integer` | `getLastPage()` return the page where the stamping end
    `java.lang.String` | `getParameter1()` return the parameter 1
    `java.lang.String` | `getParameter2()` return the parameter 2
    `java.lang.String` | `getParameter3()` return the parameter 3
    `java.lang.String` | `getParameter4()` return the parameter 4
    `java.lang.String` | `getParameter5()` return the parameter 5
    `java.io.File` | `getPDFSource()` return the PDF file
    `java.io.File` | `getPDFStamp()` return stamp file
    `java.io.File` | `getPDFStampType()` return the folder containing stamps of select type
    `Result` | `getResult()` return the result of the stamping
    `java.io.File` | `getResultFile()` return the result.xml file
    `java.lang.Integer` | `getStartPage()` return the page where the stamping begin
    `static Job` | `load(java.io.File jobFile)` load the file from job.xml file(return the job loaded)
    `void` | `save()` save the job into a job.xml file
    `void` | `setjobFile(java.io.File jobFile)` set the job.sml file
    `void` | `setLastPage(java.lang.Integer lastPage)` set the page where the stamping end
    `void` | `setParameter1(java.lang.String parameter1)` set the parameter 1
    `void` | `setParameter2(java.lang.String parameter2)` set the parameter 2
    `void` | `setParameter3(java.lang.String parameter3)` set the parameter 3
    `void` | `setParameter4(java.lang.String parameter4)` set the parameter 4
    `void` | `setParameter5(java.lang.String parameter5)` set the parameter 5
    `void` | `setPDFSource(java.io.File pDFSource)` set the PDF file
    `void` | `setPDFStamp(java.io.File pDFStamp)` set the stamp file
    `void` | `setPDFStampType(java.io.File pDFStampType)` set the folder containing stamps of select type
    `void` | `setResult(Result result)` set the result from the stamping
    `void` | `setResultFile(java.io.File resultFile)` set the result.xml file
    `void` | `setStartPage(java.lang.Integer startPage)` set the page where the stamping begin
    `java.lang.String` | `toString()` Used by JList

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### service

          static ServiceJob service

    - #### cpt

          static int cpt

    - #### result

          private Result result

    - #### PDFSource

          private java.io.File PDFSource

    - #### PDFStamp

          private java.io.File PDFStamp

    - #### PDFStampType

          private java.io.File PDFStampType

    - #### StartPage

          private java.lang.Integer StartPage

    - #### LastPage

          private java.lang.Integer LastPage

    - #### Parameter1

          private java.lang.String Parameter1

    - #### Parameter2

          private java.lang.String Parameter2

    - #### Parameter3

          private java.lang.String Parameter3

    - #### Parameter4

          private java.lang.String Parameter4

    - #### Parameter5

          private java.lang.String Parameter5

    - #### jobFile

          private java.io.File jobFile

  - ### Constructor Detail

    - #### Job

          public Job()

      Constructor

  - ### Method Detail

    - #### load

          public static Job load(java.io.File jobFile)

      load the file from job.xml file(return the job loaded)
      Parameters:
        `jobFile` -
      Returns:

    - #### save

          public void save()

      save the job into a job.xml file

    - #### copy

          public void copy()

      create a copy of pdf file into backup folder

    - #### toString

          public java.lang.String toString()

      Used by JList
      Overrides:
        `toString` in class `java.lang.Object`

    - #### getPDFSource

          public java.io.File getPDFSource()

      return the PDF file
      Returns:

    - #### setPDFSource

          public void setPDFSource(java.io.File pDFSource)

      set the PDF file

    - #### getPDFStamp

          public java.io.File getPDFStamp()

      return stamp file

    - #### setPDFStamp

          public void setPDFStamp(java.io.File pDFStamp)

      set the stamp file

    - #### getPDFStampType

          public java.io.File getPDFStampType()

      return the folder containing stamps of select type

    - #### setPDFStampType

          public void setPDFStampType(java.io.File pDFStampType)

      set the folder containing stamps of select type

    - #### getStartPage

          public java.lang.Integer getStartPage()

      return the page where the stamping begin

    - #### setStartPage

          public void setStartPage(java.lang.Integer startPage)

      set the page where the stamping begin

    - #### getLastPage

          public java.lang.Integer getLastPage()

      return the page where the stamping end

    - #### setLastPage

          public void setLastPage(java.lang.Integer lastPage)

      set the page where the stamping end

    - #### getParameter1

          public java.lang.String getParameter1()

      return the parameter 1

    - #### setParameter1

          public void setParameter1(java.lang.String parameter1)

      set the parameter 1

    - #### getParameter2

          public java.lang.String getParameter2()

      return the parameter 2

    - #### setParameter2

          public void setParameter2(java.lang.String parameter2)

      set the parameter 2

    - #### getParameter3

          public java.lang.String getParameter3()

      return the parameter 3

    - #### setParameter3

          public void setParameter3(java.lang.String parameter3)

      set the parameter 3

    - #### getParameter4

          public java.lang.String getParameter4()

      return the parameter 4

    - #### setParameter4

          public void setParameter4(java.lang.String parameter4)

      set the parameter 4

    - #### getParameter5

          public java.lang.String getParameter5()

      return the parameter 5

    - #### setParameter5

          public void setParameter5(java.lang.String parameter5)

      set the parameter 5

    - #### getjobFile

          public java.io.File getjobFile()

      return the job.xml file

    - #### setjobFile

          public void setjobFile(java.io.File jobFile)

      set the job.sml file

    - #### getResultFile

          public java.io.File getResultFile()

      return the result.xml file

    - #### setResultFile

          public void setResultFile(java.io.File resultFile)

      set the result.xml file

    - #### getResult

          public Result getResult()

      return the result of the stamping
      Returns:

    - #### setResult

          public void setResult(Result result)

      set the result from the stamping
      Parameters:
        `result` -